#include <omp.h>
#include <stdio.h>

int main() {
   int sum = 0;

//#pragma omp parallel for reduction(+:sum)
    #pragma omp parallel for num_threads(5)
    for (int i = 0; i < 100000; i++) {
        sum +=i;  // Potential race condition
    
}    
printf("Final sum: %d\n", sum);
    return 0;
}
